function D = D_PI_augmented(P, f, N, lb, ub, q)
% D = D_PI_augmented(P, f, N, lb, ub, q)
%
% Computes the augmented PI measure.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	% Compute the augmented PI measure
	D = D_PI(P(:,find(f <= q)), N, lb, ub) + sum(f > q) * norm(ub - lb) + sum((f > q) .* (f - q));

end
