function D = D_gap_augmented(P, f, N, lb, ub, q)
% D = D_gap_augmented(P, f, N, lb, ub, q)
%
% Computes the augmented gap measure.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	D = D_gap(P(:,find(f <= q)), N, lb, ub) + sum(f > q) * norm(ub - lb) + sum((f > q) .* (f - q));

end