function f = branke_multipeak(x)
% function f = branke_multipeak(x)
%
% Modded version of Branke's multipeak problem: converted to a minimization problem with f_opt ~= 0;
% Search Interval: [-2 2]
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz
	c = 1.3;
	fl = ((x >= -2) .* (x < 0)) .* (1 - (x + 1).^2);
	fr = (x >= 0) .* (x <= 2) .* (c * 2.^(-8 * abs(x - 1)));
	f = mean(c - (fl + fr));

end
