% Example script for running the ELSA algorithm
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

% ------------------------------------------------------------------------
% Setup the the experiments for the sphere
% ------------------------------------------------------------------------
objective_fct 	= @implicit_superformula;
threshold		= 0.2;
N				= 2;
lb				= -3 * ones(N,1);
ub				= 3 * ones(N,1);
stopeval		= 10000;

% ------------------------------------------------------------------------
% Setup the diversity indicators
% ------------------------------------------------------------------------
DI_ADI		= @(P, f, threshold) D_ADI_augmented(P, f, N, lb, ub, threshold);
DI_SP_l		= @(P, f, threshold) D_SP_augmented(P, f, N, lb, ub, threshold, 1);
DI_SP_m		= @(P, f, threshold) D_SP_augmented(P, f, N, lb, ub, threshold, 10);
DI_SP_h		= @(P, f, threshold) D_SP_augmented(P, f, N, lb, ub, threshold, 1000);
DI_PI		= @(P, f, threshold) D_PI_augmented(P, f, N, lb, ub, threshold);
DI_SIGMA	= @(P, f, threshold) D_SIGMA_augmented(P, f, N, lb, ub, threshold);
DI_gap		= @(P, f, threshold) D_gap_augmented(P, f, N, lb, ub, threshold);

% ------------------------------------------------------------------------
% Run the Evolutionary Level Set Approximation Algorithm
% ------------------------------------------------------------------------
[P_GAP] = ELSA(objective_fct, threshold, N, lb, ub, stopeval, 'diversity_indicator', DI_ADI, 'visualization', true);
