function f = implicit_superformula(x)
% f = implicit_superformula(x)
%
% The superformula objective function.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	m = 5;
	n1 = 2;
	n2 = 7;
	n3 = 7;
	a = 1;
	b = 1;

	if (x(1) > 0)
		phi = atan(x(2)/x(1));
	elseif (x(2) >= 0 && x(1) < 0) 
		phi = atan(x(2)/x(1)) + pi;
	elseif (x(2) < 0 && x(1) < 0)
		phi = atan(x(2)/x(1)) - pi;
	elseif (x(2) > 0 && x(1) == 0)
		phi = pi/2;
	elseif (x(2) < 0 && x(1) == 0)
		phi = -pi/2;
	elseif (x(2) == 0 && x(1) == 0)
		phi = NaN;
	end

	c1 = abs((1/a) * cos((m * phi) / 4));
	c2 = abs((1/b) * sin((m * phi) / 4));
	r = (c1^n2 + c2^n3)^(-1/n1);

	f = abs(((c1^n2 + c2^n3)^(-1/n1))^2 - (x(1)^2 + x(2)^2));

end
