function [] = plot_results_ELSA_experiments(objective_fct, threshold, N, lb, ub, experiments_file)
% [] = plot_results_ELSA_experiments(objective_fct, threshold, N, lb, ub, experiments_file)
%
% Plots the statistics of an ELSA run.
%
% Authors: Johannes W. Kruisselbrink, Michael T.M. Emmerich, Andre H. Deutz

	load(experiments_file);

	% ------------------------------------------------------------------------
	% Visualization parameters
	% ------------------------------------------------------------------------
	fontsize		= 12;

	% ------------------------------------------------------------------------
	% Plot the landscapes
	% ------------------------------------------------------------------------
	f1 = figure;

	subplot(3,3,1)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_gap);
	title('IS^+_{gap}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,2)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_PI);
	title('IS^+_{\Pi}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,3)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_SIGMA);
	title('IS^+_{\Sigma}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,4)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_SP_l);
	title('SP^+_{\theta=1}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,5)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_SP_m);
	title('SP^+_{\theta=10}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,6)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_SP_h);
	title('SP^+_{\theta=1000}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,7)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_ADI_xs);
	title('ADI^+_{S}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,8)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_ADI);
	title('ADI^+_{M}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	subplot(3,3,9)
	plot_level_set_approximation_landscape(objective_fct, threshold, N, lb, ub, P_ADI_xl);
	title('ADI^+_{L}', 'FontSize', fontsize, 'FontWeight', 'bold')
	set(gca, 'FontWeight', 'Bold', 'FontSize', fontsize)

	set(gcf,'Position',[100,100,750,820])
	set(gcf,'PaperPositionMode','auto')
	savefile_plot = [experiments_file '_plot'];
	print(f1, ['-r', num2str(600)], '-dpng', [savefile_plot, '.png']);

end
